package config

import (
	"context"
	"fmt"

	"github.com/sirupsen/logrus"
	"gogs.daxia.dev/huanan/pkg.daxia.dev.git/parse"
	"gogs.daxia.dev/huanan/pkg.daxia.dev.git/rdb"
)

func GetString(key string, defaultVal string) string {
	data, err := rdb.GetRDB().Get(context.Background(), key).Result()
	if err != nil {
		logrus.Error(err)
		return defaultVal
	}

	return data
}

func GetInt(key string, defaultVal int) int {
	data, err := rdb.GetRDB().Get(context.Background(), key).Result()
	if err != nil {
		logrus.Error(err)
		return defaultVal
	}

	return parse.StringToInt(data)
}

func GetInt64(key string, defaultVal int64) int64 {
	data, err := rdb.GetRDB().Get(context.Background(), key).Result()
	if err != nil {
		logrus.Error(err)
		return defaultVal
	}

	return parse.StringToInt64(data)
}

func SetInt(key string, val int) error {
	return SetString(key, fmt.Sprintf("%d", val))
}

func SetString(key string, val string) error {
	_, err := rdb.GetRDB().Set(context.Background(), key, val, 0).Result()
	if err != nil {
		logrus.Error(err)
		return err
	}

	return nil
}
