package config

import (
	"testing"

	"github.com/spf13/viper"
	"gogs.daxia.dev/huanan/pkg.daxia.dev.git/rdb"
)

func TestConfig(t *testing.T) {
	viper.Set("rdb.addr", "localhost:6379")
	viper.Set("rdb.password", "")
	viper.Set("rdb.db", "1")
	viper.Set("rdb.pool_size", "100")

	err := rdb.InitClient()
	if err != nil {
		t.Fatal(err)
	}

	//
	SetString("test_data1", "test")

	data := GetString("test_data1", "empty")
	if data != "test" {
		t.Fatal(`data != "test"`)
	}

	SetInt("test_data2", 1)
	intData := GetInt("test_data2", -1)
	if intData != 1 {
		t.Fatal(`intData != 1`)
	}
}
